﻿using System;
using System.Web;
using DotNet.Integrations.Filter;

namespace DotNet.Integrations.Sample
{
    public class SampleSecurityFilter : ApiSecurityFilter
    {
        public SampleSecurityFilter(IApiSettingsFactory settingsFactory) 
            : base(settingsFactory)
        { }

        public override Int64 GetAccountId(HttpRequest request)
        {
            //return Int64.Parse(request.Params.Get("AccountID"));
            String auth = Filter.ApiSecurityFilter.GetCookieValue(request, AUTH_COOKIE_NAME);
            if (string.IsNullOrEmpty(auth))
            {
                auth = request.Params.Get(AUTH_PARAM_NAME);
            }
            if (!string.IsNullOrEmpty(auth) && auth.IndexOf(':') > -1)
            {
                return Int64.Parse(auth.Substring(0, auth.IndexOf(':')));
            }
            else
            {
                return 0L;
            }
        }

        public override String GetUrl(HttpRequest request)
        {
            return request.Url.ToString();
        }
    }
}
