﻿using System;

namespace DotNet.Integrations.Sample
{
    public class SampleSettings : IApiSettings
    {

        private readonly Int64? _accountId;
        private readonly Int64? _setupItemId;
        private readonly string _privateKey;
        private readonly string _serverSet;

        public SampleSettings(Int64? accountId, Int64? setupItemId)
        {
            this._accountId = accountId;
            this._setupItemId = setupItemId;
            this._privateKey = SamplePropertiesUtil.GetPrivateKey();
            this._serverSet = SamplePropertiesUtil.GetServerSet();
        }

        public Int64? GetAccountId()
        {
            return this._accountId;
        }

        public Int64? GetSetupItemId()
        {
            return this._setupItemId;
        }

        public bool IsEnabled()
        {
            return true;
        }

        public string GetPrivateKey()
        {
            return this._privateKey;
        }

        public long? GetTimeoutMilliseconds()
        {
            return 5 * 60 * 1000L;
        }

        public string GetServerSet()
        {
            return this._serverSet;
        }
    }
}
