﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DotNet.Integrations
{
    public class BoldApiRequest : RestRequest
    {
        public BoldApiRequest(string serverSet, string path, Int64 accountId)
            : base(new UrlRequestBase(string.Concat("https://api", string.IsNullOrEmpty(serverSet) ? "" : string.Concat("-", serverSet.ToLower()), ".boldchat.com/aid/", accountId)), path)
        { }

        public void AddAllParameters(System.Collections.Specialized.NameValueCollection parameters)
        {
            foreach (var key in parameters.AllKeys)
            {
                AddParameter(key, ApiSecurity.GetAsString(parameters.Get(key)));
            }
        }

    }
}
