﻿using System;

namespace DotNet.Integrations
{
    public class AuthToken
    {
        private readonly string _apiKey;
        private readonly Int64? _timestamp = null;
        private readonly Int64? _integrationId = null;
        private readonly Int64? _accountId = null;
        private bool _hasAuthHash = false;

        public AuthToken(String apiKey)
        {
            this._apiKey = apiKey;

            int ci = apiKey.IndexOf(':');
            if (ci == -1) return;

            int ci2 = apiKey.IndexOf(':', ci + 1);
            if (ci2 == -1) return;

            int ci3 = apiKey.IndexOf(':', ci2 + 1);

            _accountId = Int64.Parse(apiKey.Substring(0, ci));
            _integrationId = Int64.Parse(apiKey.Substring(ci + 1, ci2));
            _hasAuthHash = ci3 > -1;
            _timestamp = Int64.Parse(apiKey.Substring(ci2 + 1, _hasAuthHash ? ci3 : apiKey.Length));
        }

        public long? GetTimestamp()
        {
            return _timestamp;
        }

        public long? GetIntegrationId()
        {
            return _integrationId;
        }

        public long? GetAccountId()
        {
            return _accountId;
        }

        public bool HasAuthHash()
        {
            return _hasAuthHash;
        }
    }
}
